<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
import { storeToRefs } from 'pinia';
import Modal from '@/components/general/Modal.vue';
import { useScheduleStore } from '@/stores/schedule';

const store = useScheduleStore();
const { dataSet: getDataSet, columnIndex, getStyle } = storeToRefs(store);

const emits = defineEmits<{
    (e: 'close'):void,
    (e: 'selected'): void
}>();

const cancel = ()=>{
    emits('close');
};

const hideColumnSelector = (index:number, id:string) => {
    columnIndex.value = index;
    emits('selected');
};

</script>
<template>
<Modal :labelCancel="$t('general.buttons.cancel')" :header="$t('contentPage.column.columnSelect')" @cancel="cancel" :font="getStyle?.font?getStyle.font:''">
    <div class="flex flex-col mt-2">
        <button class="relative w-full px-2 py-1 hover:bg-gray-100 text-left rounded-md select-none h-7 overflow-hidden text-ellipsis focus:outline-0 focus-widthin:outline-0" 
            v-for="item,index in getDataSet" @click="hideColumnSelector(index, item.id)" v-html="item.title"></button>
    </div>            
</Modal>
</template>